package repostatus

/*
	this enables command line options from other packages like 'gui' and 'log'
*/

import 	(
	"go.wit.com/log"
)

var NOW *log.LogFlag
var INFO *log.LogFlag

var SPEW *log.LogFlag
var WARN *log.LogFlag

var CHANGE *log.LogFlag
var STATUS *log.LogFlag

func init() {
	full := "go.wit.com/gui/gadgets/repostatus"
	short := "repostatus"

	NOW = log.NewFlag( "NOW",  true,  full, short, "temp debugging stuff")
	INFO = log.NewFlag("INFO", false, full, short, "normal debugging stuff")

	WARN = log.NewFlag("WARN", true,  full, short, "bad things")
	SPEW = log.NewFlag("SPEW", false, full, short, "spew stuff")

	CHANGE = log.NewFlag("CHANGE", true,  full, short, "when repo changes")
	STATUS = log.NewFlag("STATUS", false, full, short, "current status")
}
