package repostatus

import (
	"go.wit.com/gui/gui"
	"go.wit.com/gui/gadgets"
)

type RepoStatus struct {
	ready	bool
	hidden	bool
	changed	bool

	repopath string
	lasttagrev string
	tags map[string]string

	parent	*gui.Node

	window	*gadgets.BasicWindow
	// group	*gui.Node
	// grid	*gui.Node

//	status		*gadgets.OneLiner
	dirtyLabel	*gadgets.OneLiner
	path		*gadgets.OneLiner

	currentBranch	*gadgets.OneLiner
	currentVersion	*gadgets.OneLiner
	tagsDrop	*gadgets.BasicDropdown

	lasttag		*gadgets.OneLiner
	masterBranchVersion	*gadgets.OneLiner
	develBranchVersion	*gadgets.OneLiner
	userBranchVersion	*gadgets.OneLiner

	develMerge	*gui.Node
	releaseVersion	*gui.Node

//	vgroup		*gui.Node
	minor		*gadgets.BasicCombobox
	major		*gadgets.BasicCombobox
	revision	*gadgets.BasicCombobox

	versionMessage	*gadgets.BasicEntry
	versionCmds	[][]string
	versionCmdOutput *gadgets.OneLiner

	newversion	*gui.Node

	gitBranchesGroup *gui.Node
	gitStatusGroup	*gui.Node
	gitCommandsGroup *gui.Node

	masterDrop	*gadgets.BasicDropdown
	develDrop	*gadgets.BasicDropdown
	userDrop	*gadgets.BasicDropdown

	showBranchesButton *gui.Node
	checkBranchesButton *gui.Node

	speed		*gadgets.OneLiner
	speedActual	*gadgets.OneLiner
}
